import request from '@/utils/request'

// 创建ETM 设备调拨单  主
export function createTransferEquipmentMaster(data) {
  return request({
    url: '/etm/transfer-equipment-master/create',
    method: 'post',
    data: data
  })
}

// 更新ETM 设备调拨单  主
export function updateTransferEquipmentMaster(data) {
  return request({
    url: '/etm/transfer-equipment-master/update',
    method: 'put',
    data: data
  })
}

// 删除ETM 设备调拨单  主
export function deleteTransferEquipmentMaster(id) {
  return request({
    url: '/etm/transfer-equipment-master/delete?id=' + id,
    method: 'delete'
  })
}

// 获得ETM 设备调拨单  主
export function getTransferEquipmentMaster(id) {
  return request({
    url: '/etm/transfer-equipment-master/get?id=' + id,
    method: 'get'
  })
}

// 获得ETM 设备调拨单  主分页
export function getTransferEquipmentMasterPage(query) {
  return request({
    url: '/etm/transfer-equipment-master/page',
    method: 'get',
    params: query
  })
}

// 导出ETM 设备调拨单  主 Excel
export function exportTransferEquipmentMasterExcel(query) {
  return request({
    url: '/etm/transfer-equipment-master/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
